/**
	Schnittengemenge

	@author Maddino
*/

static Sword2;

func Initialize()
{
	//mysterious sword
	Sword2 = CreateObject(Sword, 475, 169);
	Sword2 -> SetR(180);
	Sword2 -> SetPosition(474, 159);
	Sword2 -> SetProperty("Collectible",0);
	Sword2 -> SetProperty("Touchable",0);
	
	//goals & rules
	CreateObject(Goal_LastManStanding, 0, 0, NO_OWNER);
	CreateObject(Rule_KillLogs);
	CreateObject(Rule_Gravestones);
	CreateObject(ContentCreator);
	CreateObject(NoBorders);
	CreateObject(Rule_ObjectFade)->DoFadeTime(8 * 36);
}

func AnimationStop()
{
	Sword2 -> RemoveObject();
	Sword2 = CreateObject(Sword, 475, 169);
	Sword2 -> SetR(180);
	Sword2 -> SetPosition(474, 159);
	Sword2 -> SetProperty("Collectible",0);
}

protected func OnPlayerRelaunch(int plr)
{
	var clnk = GetCrew(plr);
	var relaunch = CreateObject(RelaunchContainer, 475, 168, clnk->GetOwner());
	relaunch->StartRelaunch(clnk);
	Sword2 -> SetProperty("Touchable",2);
	Sword2 -> Fling(0,-6);	
	Sword2 -> SetRDir(12,10);
	Schedule(nil, "AnimationStop()", 58, 0);
	SetFoW(false,plr);
	//sound
	//Sound("Fire");
}

protected func OnClonkLeftRelaunch(object clnk)
{
	clnk->SetPosition(RandomX(150,830),10);
}

func KillsToRelaunch() { return 0; }
private func RelaunchCount() { return 2; }
func RelaunchWeaponList() { return []; }
