/**
	Rumple the Dumble

	@author Maddino
*/

func Initialize()
{
	AddEffect("ContentCreator", nil, 40, 10, nil, nil);	
	
	//goals & rules
	CreateObject(Goal_LastManStanding, 0, 0, NO_OWNER);
	CreateObject(Rule_KillLogs);
	CreateObject(Rule_Gravestones);
	CreateObject(Rule_ObjectFade)->DoFadeTime(8 * 36);
}

func InitializePlayer(int iPlr)
{
	/*var pObj=GetCrew(iPlr);
	var xPlr=pObj -> GetX();
	var yPlr=pObj -> GetY();
	
	if (pObj -> Stuck() == true) ClearFreeRect(xPlr-20, yPlr+15, 60, 40);
	DrawMaterialQuad("Rock-rock", xPlr-20, yPlr+10, xPlr+20, yPlr+10,xPlr+20, yPlr+16, xPlr-20, yPlr+16);
	
	//Cannon is prepared
	var pCannon = CreateObject(Cannon, xPlr, yPlr, NO_OWNER);
	pCannon -> CreateContents(PowderKeg,1);*/
}

global func FxContentCreatorStart()
{
	//... 
}


global func FxContentCreatorTimer()
{
	var Playercount=GetPlayerCount();
	for (var i=0; i<Playercount; ++i)
	{
		var plr = GetPlayerByIndex(i);
		var pObj = GetCrew(plr);
		if  (pObj != nil)								//prevented bug when no players
		{
			if (pObj->ContentsCount() == 0)
			{
				var rZ = Random(50)+1;	
				if (Inside(rZ,1,5) == true) var pCon = pObj -> CreateContents(Rock);
				if (Inside(rZ,6,25) == true) var pCon = pObj -> CreateContents(Firestone);
				if (Inside(rZ,26,35) == true) var pCon = pObj -> CreateContents(Loam);
				if (Inside(rZ,36,40) == true) var pCon = pObj -> CreateContents(IronBomb);
				if (Inside(rZ,41,45) == true) var pCon = pObj -> CreateContents(Dynamite);
				if (rZ == 46) var pCon = pObj -> CreateContents(Boompack);
				if (rZ == 47) var pCon = pObj -> CreateContents(Pickaxe);
				if (rZ == 48) var pCon = pObj -> CreateContents(Shield);	
				if (rZ == 49) var pCon = pObj -> CreateContents(Musket) && pObj -> CreateContents(LeadShot);
				if (rZ == 50) var pCon = pObj -> CreateContents(Sword);
			}
		}
	}
}

protected func OnPlayerRelaunch(int plr)
{
	var clonk = GetCrew(plr);
	var relaunch = CreateObject(RelaunchContainer, LandscapeWidth() / 2, LandscapeHeight() / 2, clonk->GetOwner());
	relaunch->StartRelaunch(clonk);
	SetFoW(false,plr);
	return;
}

func OnClonkLeftRelaunch(object clonk)
{
	clonk->SetPosition(Random(LandscapeWidth()+1),Random(LandscapeHeight()+1));
	var xPlr=clonk -> GetX();
	var yPlr=clonk-> GetY();
	
	if (clonk -> Stuck() == true) ClearFreeRect(xPlr-20, yPlr+15, 60, 40);
	DrawMaterialQuad("Rock-rock", xPlr-20, yPlr+10, xPlr+20, yPlr+10,xPlr+20, yPlr+16, xPlr-20, yPlr+16);
	
	//Kanone oder Katapult wird vorbereitet
	if (weaponselection == Catapult)
	{
		var pCata = CreateObject(Catapult, xPlr, yPlr, NO_OWNER);
	}
	else
	{
		var pCannon = CreateObject(Cannon, xPlr, yPlr, NO_OWNER);
		pCannon -> CreateContents(PowderKeg,1);
	}	
}

func KillsToRelaunch() { return 3; }
private func RelaunchCount() { return 3; }
func RelaunchWeaponList() { return [Cannon, Catapult]; }












